Bug 115368 - /dev/fd0 increases file permissions
Summary: /dev/fd0 increases file permissions
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 9
Hardware: i586
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-02-11 15:29 UTC by Steve Grubb
Modified: 2007-04-18 17:02 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-03 21:17:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Steve Grubb 2004-02-11 15:29:25 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:1.2.1)
Gecko/20030225

Description of problem:
When copying files to the floppy disk, the file permissions are
getting modified. The modification is that the file permissions are
increased in capabilities. read/write files are turned into executable
files. For example:

[root@linux fd_test]# touch test.txt
[root@linux fd_test]# ls -l test.txt
-rw-r--r--    1 root     root            0 Feb 11 10:18 test.txt
[root@linux fd_test]# mount /dev/fd0
[root@linux fd_test]# cp test.txt /mnt/floppy/
[root@linux fd_test]# ls -l /mnt/floppy/
total 0
-rwxr-xr-x    1 root     root            0 Feb 11 10:18 test.txt
[root@linux fd_test]# cat /etc/fstab | grep floppy
/dev/fd0         /mnt/floppy             auto    noauto,owner    0 0
[root@linux fd_test]# umask
0022
[root@linux fd_test]# umask 077
[root@linux fd_test]# touch test2.txt
[root@linux fd_test]# ls -l test2.txt
-rw-------    1 root     root            0 Feb 11 10:20 test2.txt
[root@linux fd_test]# cp test2.txt /mnt/floppy/
[root@linux fd_test]# ls -l /mnt/floppy/test2.txt
-rwxr-xr-x    1 root     root            0 Feb 11 10:20
/mnt/floppy/test2.txt
[root@linux fd_test]#

Version-Release number of selected component (if applicable):
kernel-2.4.20-28.9

How reproducible:
Always

Steps to Reproduce:
See above

Actual Results:  See above

Expected Results:  The file permissions should be the same.

Additional info:

I am using RH9. If this is deemed a real bug and its fixed, please
issue a new RH9 kernel.


Note You need to log in before you can comment on or make changes to this bug.